import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteReportDefinitionInput } from "../types/DeleteReportDefinitionInput";
import { DeleteReportDefinitionOutput } from "../types/DeleteReportDefinitionOutput";
import { CostandUsageReportServiceResolvedConfiguration } from "../CostandUsageReportServiceConfiguration";
export * from "../types/DeleteReportDefinitionInput";
export * from "../types/DeleteReportDefinitionOutput";
export * from "../types/DeleteReportDefinitionExceptionsUnion";
export declare class DeleteReportDefinitionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteReportDefinitionInput, OutputTypesUnion, DeleteReportDefinitionOutput, CostandUsageReportServiceResolvedConfiguration, Blob> {
    readonly input: DeleteReportDefinitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteReportDefinitionInput, DeleteReportDefinitionOutput, Blob>;
    constructor(input: DeleteReportDefinitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CostandUsageReportServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteReportDefinitionInput, DeleteReportDefinitionOutput>;
}
