"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeReportDefinitions_1 = require("../model/operations/DescribeReportDefinitions");
var DescribeReportDefinitionsCommand = /** @class */ (function () {
    function DescribeReportDefinitionsCommand(input) {
        this.input = input;
        this.model = DescribeReportDefinitions_1.DescribeReportDefinitions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeReportDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeReportDefinitionsCommand;
}());
exports.DescribeReportDefinitionsCommand = DescribeReportDefinitionsCommand;
//# sourceMappingURL=DescribeReportDefinitionsCommand.js.map